Subject: Re: [PATCH v2 0/5] pack-objects: handle excluded-but-open packs via `--stdin-packs=follow`

From: Derrick Stolee <[email-masked]>
Date: Thu, 26 Mar 2026 16:51:09 -0400

On 3/25/2026 7:51 PM, Taylor Blau wrote:
> This is a small reroll of my series to fix an issue where MIDX bitmaps
> fail to generate after a geometric repack in certain scenarios where the
> set of MIDX'd objects is not closed under reachability.
> 
> The main changes since last time are:
> 
>  * Clarification in the first patch that the added `release_revisions()`
>    call prevents a *potential* leak, not an actual one.
> 
>  * Cleanup in the second patch (where we convert the --stdin-packs
>    handling to use a strmap) based on Patrick's review.
> 
>  * Dropped an unnecessary "if (p)" conditional in the fourth patch's
>    `add_object_entry_from_pack()` callback that is unnecessary.
> 
> Otherwise, the series is unchanged from the original round. As usual, a
> range-diff is included below for convenience.
> 

Sorry I didn't get to v1 in time. This was an interesting series
and fixes a bug well. My only quibbles are about some minor code
style things, but I do hope you'll consider them. I struggled to
read a few things and the changes I recommend seemed to make the
logic more obvious.

Thanks,
-Stolee